
Infrastructure - Task #1536

Story # 725 (In Progress): Create Authentication and Access control design specifications

resolve differences in listPrincipals() and getPrincipalInfo()

2011-05-07 01:52 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: 2011-Block-3 Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-07 01:53 - Matthew Jones

- Category set to Documentation

- Milestone set to 2011-Block-3

listPrincipals() and getPrincipalInfo() are currently close to identical -- need to chnage getPrincipalInfo() to differentiate it as applying to a Person, or

maybe eliminate it altogether.

#2 - 2011-05-09 23:50 - Ben Leinfelder

I've taken to thinking of getPrincipalInfo as:

getPrincipalInfo(cert, Types.Principal) returning Types.Person. This would allow someone who was trying to "verify" an identity to actually look up the

details of the Principal in question. The cert might be optional depending on how much information about users is allowed to be public (or required if

none is meant to be public).

#3 - 2011-05-10 17:54 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

#4 - 2011-05-10 18:06 - Ben Leinfelder

- Status changed from New to Closed

getPrincipalInfo(cert, principal) now returns a Person representing the Principal argument (which includes equivalent IDs and Group membership

details)

#5 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#6 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#7 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4
#8 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#9 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#10 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#11 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#12 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#13 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
